#define TTY stdout
#define tt_kbhit() kbhit()
#define tt_getch() getch()
#define IS_TTY(x) ((x)==stdout)
int tfprintf(void *,char *,...) ;
int gettext(int,int,int,int,void *) ;
int puttext(int,int,int,int,void *) ;
int wherex(void) ;
int wherey(void) ;
void clreol(void) ;
void clrbol(void) ;
void gotoxy(int,int) ;
int scroll_up(int,int,int,int,int) ;
int scroll_down(int,int,int,int,int) ;
void normvideo(void) ;
void textattr(int attr) ;
int getch(void) ;
int kbhit(void) ;
int kbready(int Mills) ;
